Subject: bug#23925: 25.0.95; display broken when maximizing frame

From: martin rudalics <[email-masked]>
Date: Sat, 09 Jul 2016 11:20:12 +0200

> After a long time I build again a more recent emacs.  Unfortunately
 > it gives me a rather unpleasant experience when maximizing the emacs
 > frame (using the maximize function of the xfce window manager):
 > somehow the frame is not redrawn properly, emacs seems to be unaware
 > of the new frame size and the minibuffer disappears completely.
 > Instead the desktop background is displayed in large parts of the
 > emacs frame.  Unmaximizing makes the problem go away.  But obviously
 > that is no solution.  I can provide more details if you let me know
 > what would be interesting.
 >
 >
 >
 >
 > In GNU Emacs 25.0.95.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.18.9, cairo version 1.14.6)
 >   of 2016-07-08 built on regnitz
 > Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
 > System Description:	Ubuntu 16.04 LTS
 >
 > Configured using:
 >   'configure --with-xwidgets --with-x-toolkit=gtk3 --with-cairo'

Please post the results after doing each of the following:

(1) Evaluate (display-monitor-attributes-list)

(2) With the badly maximized frame evaluate (frame-geometry)

(3) Before maximizing evaluate (setq frame-size-history '(5))
     Then maximize and evaluate (frame--size-history).  The result can be
     found in the buffer *frame-size-history*.

And obviously please also follow Eli's proposal to build without cairo.

Thanks, martin